{% extends forum is defined and forum ? '@RadditApp/forum-base.html.twig' : '@RadditApp/base.html.twig' %}
{% form_theme form '@RadditApp/forms/standard-form-theme.html.twig' %}

{% block page_classes %}submit-page{% endblock %}

{% block body %}
  {{ form_start(form) }}
    {{ form_row(form.title, {attr: {rows: 3}}) }}

    {{ form_row(form.url) }}

    {{ form_row(form.body, {attr: {rows: 10}}) }}

    {% if form.forum is defined %}
      {{ form_row(form.forum) }}
    {% endif %}

    {{ form_row(form.submit) }}

    {% if form.delete is defined %}
      {{ form_row(form.delete, {attr: {class: 'delete-submission'}}) }}
    {% endif %}
  {{ form_end(form) }}
{% endblock %}

{% block javascripts %}
  {{ parent() }}

  <script>
    $('.delete-submission').click(function () {
        return confirm(Translator.trans('submission_form.confirm_delete'));
    });
  </script>
{% endblock %}
